#!/usr/bin/env bash

# this guy updates the hash of the last
# successful build of nixpkgs on hydra
# (so we don't have to rebuild EVERYTHING)
RELEASE=24.11

new=$(curl -sL "https://monitoring.nixos.org/prometheus/api/v1/query?query=channel_revision" | jq -r ".data.result[] | select(.metric.channel==\"nixos-${RELEASE}\") | .metric.revision")
old=$(jq -r ".nodes.nixpkgs.locked.rev" flake.lock)

echo "Old hash: ${old}"
echo "New hash: ${new}"

sed -i s/"${old}"/"${new}"/ flake.nix
